Package org.apache.sling.models.export.spi

# Interface ModelExporter

@ConsumerType public interface ModelExporter
SPI interface for model exporters.

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`export(@NotNull Object model, @NotNull Class<T> clazz, @NotNull Map<String,String> options)`
Export the provided model to the defined class using the options.
`@NotNull String`
`getName()`
The name of the exporter.
`boolean`
`isSupported(@NotNull Class<?> clazz)`
Check if the result class is supported by this exporter.

## Method Details

### isSupported

boolean isSupported(@NotNull @NotNull Class<?> clazz)
Check if the result class is supported by this exporter.

Parameters:
  `clazz` - the result class
Returns:
  true if the result class is supported

### export

@Nullable <T> T export(@NotNull @NotNull Object model, @NotNull @NotNull Class<T> clazz, @NotNull @NotNull Map<String,String> options) throws ExportException
Export the provided model to the defined class using the options.

Type Parameters:
  `T` - the export type
Parameters:
  `model` - the model class
  `clazz` - the export type
  `options` - export options
Returns:
  an exported object
Throws:
  `ExportException` - if the export is not successful

### getName

@NotNull @NotNull String getName()
The name of the exporter.

Returns:
  the name of the exporter